## qemu 9.1.0+git20250923-ppa1

=== debian/changelog ===
qemu (3:9.1.0+git20250923-ppa1-noble1) noble; urgency=medium

  * Mouse and keyboard grabbing handled separately

 -- Kim, Dongwon <dongwon.kim@intel.com>  Tue, 23 Sep 2025 11:19:42 -0700

qemu (2:9.1.0+git20250904-ppa1-noble1) noble; urgency=medium

  * Update version string to satisfy dpkg string version requirement

 -- Karn Jye, Lau <karn.jye.lau@intel.com>  Tue, 09 Sep 2025 10:28:59 +0800

qemu (1:9.1.0+git20250904-ppa1-noble1) noble; urgency=medium

  * Properly freeing cursor structure - stability fix

 -- Kim, Dongwon <dongwon.kim@intel.com>  Thu, 04 Sep 2025 13:00:21 -0700

qemu (1:9.1.0+git20250820-ppa1-noble1) noble; urgency=medium

  * Fix iomediator corrupted frame upon restoring

 -- Kim, Dongwon <dongwon.kim@intel.com>  Wed, 20 Aug 2025 22:31:03 -0700

qemu (1:9.1.0+git20250730-ppa1-noble1) noble; urgency=medium

  * Fix Linux reboot DV sync issue
  * Fix invisible boundary for the mouse cursor on the guest

 -- Kim, Dongwon <dongwon.kim@intel.com>  Fri, 01 Aug 2025 10:23:08 -0700

qemu (1:9.1.0+ppa1-noble14) noble; urgency=medium

  * Introduce hw-bypass param

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Mon, 16 Jun 2025 08:41:45 +0800

qemu (1:9.1.0+ppa1-noble13) noble; urgency=medium

  * Make QEMU terminate if connectors param is not correct for primary VC

 -- Kim, Dongwon <dongwon.kim@intel.com>  Thu, 05 Jun 2025 16:17:48 -0700

qemu (1:9.1.0+ppa1-noble12) noble; urgency=medium

  * Change the repo for QEMU source to
    https://github.com/intel/Intel-distribution-of-QEMU/tree/9.1.0-gfx-sriov

 -- Kim, Dongwon <dongwon.kim@intel.com>  Wed, 28 May 2025 20:02:35 -0700

qemu (1:9.1.0+ppa1-noble11) noble; urgency=medium

  * Fix QEMU black-boxed mouse cursor when detaching/attaching QEMU windows

 -- Kim, Dongwon <dongwon.kim@intel.com>  Mon, 05 May 2025 09:29:20 -0700

qemu (1:9.1.0+ppa1-noble10) noble; urgency=medium

  * Fix QEMU termination during HPD/save/restore when render_sync=false
  * Enhanced cursor rendering performance by using simpler texture
    filtering - nearest

 -- Kim, Dongwon <dongwon.kim@intel.com>  Mon, 14 Apr 2025 11:18:32 -0700

qemu (1:9.1.0+ppa1-noble9) noble; urgency=medium

  * Feature dev: IOmediator display sync before and after save/restore
  * HW cursor optimization #2 - skip uncessary frame updates
  * HPD display sync

 -- Kim, Dongwon <dongwon.kim@intel.com>  Thu, 27 Mar 2025 11:01:49 -0700

qemu (1:9.1.0+ppa1-noble8) noble; urgency=high

  * Fixing memory leak due to g->dmabuf.primary[i] = NULL in a wrong location

 -- Kim, Dongwon <dongwon.kim@intel.com>  Tue, 18 Mar 2025 16:49:24 -0700

qemu (1:9.1.0+ppa1-noble7) noble; urgency=medium

  * HW cursor optimization - skipping unnecessary frame updates
  * ups - guest fps, fps - host fps are not updated every 1 sec
  * show fps print string is slightly different

 -- Kim, Dongwon <dongwon.kim@intel.com>  Thu, 13 Mar 2025 18:53:25 -0700

qemu (1:9.1.0+ppa1-noble6) noble; urgency=medium

  * Fix Linux reboot DV sync issue
  * Fix invisible boundary for the mouse cursor on the guest

 -- Kim, Dongwon <dongwon.kim@intel.com>  Wed, 26 Feb 2025 14:22:28 -0800

qemu (1:9.1.0+ppa1-noble5) noble; urgency=medium

  * Fix Garbage screen after Windows VM is rebooted when hw cursor is used. 

 -- Kim, Dongwon <dongwon.kim@intel.com>  Thu, 30 Jan 2025 11:29:38 -0800

qemu (1:9.1.0+ppa1-noble4) noble; urgency=medium

  * Fix QEMU segfault when windows VM has multi display setting and HW cursor
    is enabled. 

 -- Kim, Dongwon <dongwon.kim@intel.com>  Wed, 22 Jan 2025 21:37:33 -0800

qemu (1:9.1.0+ppa1-noble3) noble; urgency=medium

  * Fix hwspice VM reboot freeze

 -- Goh, Wei Khang1 <wei.khang1.goh@intel.com>  Wed, 15 Jan 2025 11:49:36 +0800

qemu (1:9.1.0+ppa1-noble2) noble; urgency=medium

  * Fix no crtc problem on Android guest

 -- Kim, Dongwon <dongwon.kim@intel.com>  Mon, 13 Jan 2025 21:14:15 -0800

qemu (1:9.1.0+ppa1-noble1) noble; urgency=medium

  * Upgrade to QEMU 9.1
  * All SRIOV patches were updated/rebased
  * Includes all patches for BMG 

 -- Kim, Dongwon <dongwon.kim@intel.com>  Tue, 10 Dec 2024 13:36:23 -0800

qemu (1:8.2.1+ppa2-noble2) noble; urgency=medium

  * Qemu re-instroduce draw-submitted in case render-sync=false
  * fix typo in patch 0041-ui-gtk-Enabling-HW-cursor.patch

 -- Kim, Dongwon <dongwon.kim@intel.com>  Wed, 13 Nov 2024 19:34:28 -0800

qemu (1:8.2.1+ppa2-noble1) noble; urgency=medium

  * refer source from debian tag upstream/8.2.1+ds.

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Fri, 08 Nov 2024 10:41:26 +0800

qemu (1:8.2.1+ppa1-noble9) noble; urgency=medium

  * Qemu HW cursor enablement
  * Qemu assertion failure (gl_block) due to render-sync=false fix

 -- Kim, Dongwon <dongwon.kim@intel.com> Tue, 15 Oct 2024 12:46:18 -0700

qemu (1:8.2.1+ppa1-noble8) noble; urgency=medium

  * Qemu default window size override to 960x540

 -- Kim, Dongwon <dongwon.kim@intel.com> Mon, 30 Sep 2024 18:51:07 -0700

qemu (1:8.2.1+ppa1-noble7) noble; urgency=medium

  * Fixed vulnerability CVE-2024-3567

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Thu, 29 Aug 2024 13:47:49 +0800

qemu (1:8.2.1+ppa1-noble6) noble; urgency=medium

  * WA for QEMU fullscreen launching issue with Ubuntu24.04

 -- Kim, Dongwon <dongwon.kim@intel.com>  Thu, 25 Jul 2024 15:49:24 -0700

qemu (1:8.2.1+ppa1-noble5) noble; urgency=medium

  * Fixed for gl texture blitting

 -- Mazlan, Hazwan Arif <hazwan.arif.mazlan@intel.com>  Sat, 22 Jun 2024 23:30:02 +0800

qemu (1:8.2.1+ppa1-noble4) noble; urgency=high

  * Fix possible segfault in case dmabuf == NULL when render-sync is checked

 -- Kim, Dongwon <dongwon.kim@intel.com>  Fri, 21 Jun 2024 10:05:51 -0700

qemu (1:8.2.1+ppa1-noble3) noble; urgency=medium

  * Render-sync is on by default but can be off for asynchronous guest
    frame update 

 -- LEE CHEE YANG <chee.yang.lee@intel.com>  Fri, 24 May 2024 11:44:54 +0800

qemu (1:8.2.1+ppa1-noble2) noble; urgency=medium


