## qemu 9.1.0+git20251029-ppa1

=== debian/changelog ===
qemu (4:9.1.0+git20251029-ppa1-noble2) noble; urgency=medium

  * debian/patches: Restructure for upstream tracking

 -- Yep, Mun Chun <mun.chun.yep@intel.com>  Fri, 31 Oct 2025 12:30:37 +0800

qemu (4:9.1.0+git20251029-ppa1-noble1) noble; urgency=medium

  * Skipping creating udmabuf for no-entries blob to prevent a segfault

 -- Kim, Dongwon <dongwon.kim@intel.com>  Wed, 29 Oct 2025 11:19:09 -0700

qemu (3:9.1.0+git20250923-ppa1-noble2) noble; urgency=medium

  * update depency requirement for libbpf-dev

 -- Lau,Karn Jye <karn.jye.lau@intel.com>  Mon, 27 Oct 2025 14:16:24 +0800
