=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
 # for virtfs (now in libc6)
 # --enable-attr
 # --enable-bpf	 amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64
- libbpf-dev	[amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
+ libbpf-dev	(>= 0.7.0-1ppa1~noble1) [amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64],
 # disable blkio for ubuntu noble--enable-blkio	amd64 arm64 loong64 mips64 mips64el ppc64 ppc64el riscv64 s390x sparc64
 # libblkio-dev	       [amd64 arm64 loong64 mips64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 # --enable-brlapi	amd64 arm arm64 armel armhf i386 loong64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64
@@ -145,4 +145,3 @@
  gcc-alpha-linux-gnu,
 # u-boot code
  gcc-powerpc-linux-gnu, bc,
-# skiboot firmware, openbios
